crm-master-views
3 endpoints from the published OpenAPI import.
GET/api/v1/crm/master/tasks
Cross-board CRM task aggregation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
board_type | query | string | true | |
status | query | any | false | Comma-separated status filter |
priority | query | any | false | |
board_ids | query | any | false | |
search | query | any | false | |
sort | query | any | false | |
group_by | query | any | false | |
include_done | query | boolean | false | |
limit | query | integer | false | |
offset | query | integer | false |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/master/tasks' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/crm/master/tasks",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/master/tasks", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/master/tasks", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
GET/api/v1/crm/master/session
Executive master session with stuck/overdue alerts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
board_type | query | string | true | |
stuck_threshold_hours | query | integer | false |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/master/session' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/crm/master/session",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/master/session", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/master/session", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
GET/api/v1/crm/master/groups/{group_id}/tasks
Task aggregation scoped to one CRM workspace group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
group_id | path | string | true | |
group_by | query | any | false | |
sort | query | any | false | |
include_done | query | boolean | false | |
limit | query | integer | false | |
offset | query | integer | false |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/master/groups/{group_id}/tasks' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/crm/master/groups/{group_id}/tasks",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/master/groups/{group_id}/tasks", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/master/groups/{group_id}/tasks", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |